<script setup lang="ts">
    import { useRouter } from "vue-router";
    import { onMounted } from "vue";
    import { triggerLogout, triggerRequestToken } from "./../functions/bearer-auth";
    import { success } from "./../plugins/toast";
    import useAuthStore from "./../stores/auth";
    import { StaticRoutePaths } from "./../plugins/router";

    const authStore = useAuthStore();
    const router = useRouter();

    const props = defineProps({
        login: Boolean,
        logout: Boolean,
    });

    onMounted(async () => {
        if (props.login) {
            console.log("login");

            triggerRequestToken();
            success("Requested Token, look into Browser");

            router.push({ name: StaticRoutePaths.Auth });
        }

        if (props.logout) {
            console.log("logout");

            triggerLogout();
            authStore.updateAuth();
            success("Logged out");

            router.push({ name: StaticRoutePaths.Auth });
        }
    });
</script>

<template><div></div></template>
